package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalRemindHistory实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_REMIND_HISTORY")
@ApiModel(value="RepalRemindHistory实体对象", description="智能提醒历史表")
public class RepalRemindHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "账本ID")
    @TableField("REPAL_BOOK_ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账单主键")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "动态主键")
    @TableField("TREND_ID")
    private String trendId;

    @ApiModelProperty(value = "动态内容")
    @TableField("TREND_CONTENT")
    private String trendContent;

    @ApiModelProperty(value = "提醒时间")
    @TableField("REMIND_TIME")
    private LocalDateTime remindTime;

    @ApiModelProperty(value = "公司名称")
    @TableField("COMPANY_NAME")
    private String companyName;

    @ApiModelProperty(value = "提醒标题")
    @TableField("REMIND_TITLE")
    private String remindTitle;

    @ApiModelProperty(value = "提醒文案")
    @TableField("REMIND_CONTENT")
    private String remindContent;

    @ApiModelProperty(value = "功能列表")
    @TableField("FUNCTION_LIST")
    private String functionList;

    @ApiModelProperty(value = "提醒类型,枚举(中文)：逾期提醒、账款评级、财产线索、风险预警")
    @TableField("REMIND_TYPE")
    private String remindType;

    @ApiModelProperty(value = "动态类型")
    @TableField("TRENT_TYPE")
    private String trentType;

    @ApiModelProperty(value = "跳转详情用，存新数据的rowkey")
    @TableField("BIZ_ID")
    private String bizId;

    @ApiModelProperty(value = "跳转详情用")
    @TableField("DIMENSION_TYPE")
    private String dimensionType;

    @ApiModelProperty(value = "跳转详情用")
    @TableField("INFO_TYPE")
    private String infoType;

    @ApiModelProperty(value = "跳转详情用，存新数据的id")
    @TableField("DYNAMIC_ID")
    private String dynamicId;

    @ApiModelProperty(value = "提醒文案新版")
    @TableField("NEW_TREND_CONTENT")
    private String newTrendContent;

    @ApiModelProperty(value = "0旧1新")
    @TableField("IS_NEW")
    private Integer isNew;


}
