package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description: SettleRepalBillDTO
 * @Author: xda
 * @Date: 2022/4/15 11:05
 */
@Data
@ApiModel("结清账款")
public class SettleRepalBillDTO {

    @ApiModelProperty("账款id")
    private Long repalBillId;

    @ApiModelProperty("金额，string类型")
    private BigDecimal money;

}
