package com.winhc.repal.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Description: MvcConfigurer
 * @Author: xda
 * @Date: 2022/3/31 17:10
 */
@Configuration
public class MvcConfigurer implements WebMvcConfigurer {


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // open接口在单独的controller
        registry.addInterceptor(new UserContextInterceptor()).excludePathPatterns("/open**/**").order(0);
    }
}
