package com.winhc.repal.model.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Aaron
 * @date 2022/4/24 10:57
 * @description
 */
@Data
public class RepalCustomerInfoBO {
    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "1客户  2供应商")
    private Integer custType;

    @ApiModelProperty("关联账款数量")
    private Integer repalBillCount;

    @ApiModelProperty(value = "账款总金额")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "待收金额")
    private BigDecimal receivable;
}
