package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @Description: RepalBookDetailVO
 * @Author: xda
 * @Date: 2022/4/14 17:39
 */
@Data
@ApiModel("账本详情")
public class RepalBookHomeVO {

    @ApiModelProperty("应收金额信息")
    private BillMoney receivable;

    @ApiModelProperty("应付金额信息")
    private BillMoney payment;








    @Getter
    @Setter
    @ToString
    @ApiModel("应收/应付")
    public static class BillMoney {

        @ApiModelProperty("总应收/总应付string")
        private String totalReceivableStr;

        @ApiModelProperty("总逾期str")
        private String totalOverdueStr;

        @ApiModelProperty("总额")
        private String totalMoneyStr;

        @ApiModelProperty("总应收/总应付笔数")
        private Integer totalReceivableCount;

        @ApiModelProperty("总逾期笔数")
        private Integer totalOverdueCount;

    }
}
